GET /v1/organizations/{orgId}/knowledge
List org knowledge entries with optional source_type filter.
GET
/v1/organizations/{orgId}/knowledge
List org knowledge entries with optional source_type filter.
Path Parameters
orgId
string
required
path
Organization ID
Query Parameters
source_type
string
optional
query
Filter by source type (memory, manual, workflow, connector, run_pattern)
limit
integer
optional
query
Page size
offset
integer
optional
query
Page offset
Responses
200
OK
application/jsonhasMore
boolean
items
object[]
Array of:
content
string
createdAt
string
id
string
lastAccessedAt
string
LastAccessedAt is updated every time this entry is retrieved via auto-stuffing
or the search_org_knowledge tool. Used for LRU eviction: entries that are
never retrieved are evicted before frequently-used ones.
metadata
object
organizationId
string
pinned
boolean
Pinned entries are excluded from auto-pruning by enforceLimit.
sourceId
string
sourceType
string
title
string
updatedAt
string
limit
integer
offset
integer
curl -X GET 'https://api.example.com/v1/organizations/string/knowledge' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/organizations/string/knowledge', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/organizations/string/knowledge', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/string/knowledge", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "hasMore": true, "items": [ { "content": "<string>", "createdAt": "<string>", "id": "<string>", "lastAccessedAt": "<string>", "metadata": "<object>", "organizationId": "<string>", "pinned": true, "sourceId": "<string>", "sourceType": "<string>", "title": "<string>", "updatedAt": "<string>" } ], "limit": 123, "offset": 123}
API Playground
Try this endpoint
GET
/v1/organizations/{orgId}/knowledge
